package com.zcloud.primeport.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.primeport.dto.MkmjApprovalUserAddCmd;
import com.zcloud.primeport.dto.MkmjApprovalUserPageQry;
import com.zcloud.primeport.dto.MkmjApprovalUserUpdateCmd;
import com.zcloud.primeport.dto.clientobject.MkmjApprovalUserCO;

import com.zcloud.primeport.dto.clientobject.AvailableResultCO;
import java.util.Collection;
import java.util.List;

/**
 * web-client
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:17
 */
public interface MkmjApprovalUserServiceI {
    PageResponse<MkmjApprovalUserCO> listPage(MkmjApprovalUserPageQry qry);

    SingleResponse<MkmjApprovalUserCO> add(MkmjApprovalUserAddCmd cmd);

    void edit(MkmjApprovalUserUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    List<MkmjApprovalUserCO> listAll(MkmjApprovalUserPageQry qry);

    MkmjApprovalUserCO getInfoById(Long id);

    SingleResponse<AvailableResultCO> checkExistByUserId(Long userId);
}

